package com.ccnode.codegenerator.dom.model;

package .tmp;

import com.ccnode.codegenerator.dom.a.o;
import com.intellij.psi.PsiClass;
import com.intellij.psi.xml.XmlFile;
import com.intellij.util.xml.Attribute;
import com.intellij.util.xml.Convert;
import com.intellij.util.xml.DomElement;
import com.intellij.util.xml.GenericAttributeValue;
import com.intellij.util.xml.PsiClassConverter;
import org.jetbrains.annotations.NotNull;

public interface ConfigurationMapper extends DomElement {
  @Attribute("url")
  @NotNull
  GenericAttributeValue<String> getUrl();
  
  @Attribute("class")
  @Convert(PsiClassConverter.class)
  @NotNull
  GenericAttributeValue<PsiClass> getClazz();
  
  @Attribute("resource")
  @Convert(o.class)
  @NotNull
  GenericAttributeValue<XmlFile> getResource();
}
